--- old/usr/src/uts/sun/sys/promif.h	Wed Aug 28 04:02:56 2019
+++ new/usr/src/uts/sun/sys/promif.h	Wed Aug 28 04:02:56 2019
@@ -22,13 +22,12 @@
 /*
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ * Copyright 2019 Peter Tribble.
  */
 
 #ifndef	_SYS_PROMIF_H
 #define	_SYS_PROMIF_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <sys/obpdefs.h>
 
@@ -64,8 +63,8 @@
  * allow the promif routines to allocate and free memory allocated from
  * the bottom 32-bits of the 64-bit address space:
  *
- * 	void *promplat_alloc(size_t);
- * 	void promplat_free(void *, size_t);
+ *	void *promplat_alloc(size_t);
+ *	void promplat_free(void *, size_t);
  *
  * The alloc function should guarantee that it will never return an
  * invalid pointer.
@@ -185,7 +184,6 @@
 extern	int		prom_is_openprom(void);
 extern	int		prom_is_p1275(void);
 extern	int		prom_version_name(char *buf, int buflen);
-extern	int		prom_version_check(char *buf, size_t len, pnode_t *n);
 
 extern	void		*prom_mon_id(void);	/* SMCC/OBP platform centric */
 
@@ -199,20 +197,6 @@
 			    uintptr_t arg5);
 
 /*
- * Return code values from prom_version_check:
- *
- * This routine uses past-prediction mode to determine if the firmware
- * on the current system is 64-bit ready.
- *
- * return code 2 could happen on a board-based server with a slave CPU board
- * running down-rev firmware and the current master running adequate fw.
- */
-#define	PROM_VER64_OK		0	/* Prom is 64-bit ready (or n/a) */
-#define	PROM_VER64_UPGRADE	1	/* Down-rev firmware is running */
-#define	PROM_VER64_SUGGEST	2	/* Down-rev firmware detected .. */
-					/* .. but not currently active */
-
-/*
  * Administrative group: OBP only.
  */
 extern	int		prom_sethandler(void (*v0_func)(), void (*v2_func)());
